NX Open C++ Reference Guide
|
Represents a CAE::LaminatePlyFilterBuilder
There is no kf creator.
More...
Public Member Functions | |
void | GetSelectedPlyNames (std::vector< NXString > &selectedPlyNames) |
Returns the selected plies Created in NX8.0.0. | |
bool | SelectAllPlies () |
Returns the select all plies option Created in NX8.0.0. | |
void | SetSelectAllPlies (bool selectAllPlies) |
Sets the select all plies option Created in NX8.0.0. | |
void | SetSelectedPlyNames (const std::vector< NXString > &selectedPlies) |
Sets the selected plies Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::LaminatePlyFilterBuilder
There is no kf creator.
Created in NX8.0.0.
void NXOpen::CAE::LaminatePlyFilterBuilder::GetSelectedPlyNames | ( | std::vector< NXString > & | selectedPlyNames | ) |
Returns the selected plies
Created in NX8.0.0.
License requirements : nx_lam_composites ("Laminate Composites")
selectedPlyNames | selectedplynames |
bool NXOpen::CAE::LaminatePlyFilterBuilder::SelectAllPlies | ( | ) |
Returns the select all plies option
Created in NX8.0.0.
License requirements : nx_lam_composites ("Laminate Composites")
void NXOpen::CAE::LaminatePlyFilterBuilder::SetSelectAllPlies | ( | bool | selectAllPlies | ) |
Sets the select all plies option
Created in NX8.0.0.
License requirements : nx_lam_composites ("Laminate Composites")
selectAllPlies | selectallplies |
void NXOpen::CAE::LaminatePlyFilterBuilder::SetSelectedPlyNames | ( | const std::vector< NXString > & | selectedPlies | ) |
Sets the selected plies
Created in NX8.0.0.
License requirements : nx_lam_composites ("Laminate Composites")
selectedPlies | selectedplies |